STOFFParserState Class Reference

a class to define the parser state More...

`#include <STOFFParser.hxx>`

## Public Types

enum | Type { Graphic , Presentation , Spreadsheet , Text }
| the parser state type More...

## Public Member Functions

| STOFFParserState (Type type, STOFFInputStreamPtr &input, STOFFHeader *header)
| Constructor.
| ~STOFFParserState ()
| destructor

## Public Attributes

Type | m_type
| the state type
STOFFDocument::Kind | m_kind
| the document kind
int | m_version
| the actual version
STOFFInputStreamPtr | m_input
| the input
STOFFHeader * | m_header
| the header
STOFFPageSpan | m_pageSpan
| the actual document size
STOFFListManagerPtr | m_listManager
| the list manager
STOFFGraphicListenerPtr | m_graphicListener
| the graphic listener
STOFFSpreadsheetListenerPtr | m_spreadsheetListener
| the spreadsheet listener
STOFFTextListenerPtr | m_textListener
| the text listener
libstoff::DebugFile | m_asciiFile
| the debug file

## Private Member Functions

| STOFFParserState (STOFFParserState const &orig)
STOFFParserState & | operator= (STOFFParserState const &orig)

## Detailed Description

a class to define the parser state

## Member Enumeration Documentation

## Type

enum STOFFParserState::Type

the parser state type

Enumerator
Graphic |
Presentation |
Spreadsheet |
Text |

## Constructor & Destructor Documentation

## STOFFParserState() [1/2]

STOFFParserState::STOFFParserState | ( | STOFFParserState::Type | type,
|  | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header )

Constructor.

Referenced by operator=(), and STOFFParserState().

## ~STOFFParserState()

STOFFParserState::~STOFFParserState | ( |  | ) |

destructor

## STOFFParserState() [2/2]

STOFFParserState::STOFFParserState | ( | STOFFParserState const & | orig | ) |

private

## Member Function Documentation

## operator=()

STOFFParserState & STOFFParserState::operator= | ( | STOFFParserState const & | orig | ) |

private

## Member Data Documentation

## m_asciiFile

libstoff::DebugFile STOFFParserState::m_asciiFile

the debug file

Referenced by STOFFParserState().

## m_graphicListener

STOFFGraphicListenerPtr STOFFParserState::m_graphicListener

the graphic listener

Referenced by STOFFParserState().

## m_header

STOFFHeader* STOFFParserState::m_header

the header

Referenced by STOFFParserState().

## m_input

STOFFInputStreamPtr STOFFParserState::m_input

the input

Referenced by STOFFParserState().

## m_kind

STOFFDocument::Kind STOFFParserState::m_kind

the document kind

Referenced by STOFFParserState().

## m_listManager

STOFFListManagerPtr STOFFParserState::m_listManager

the list manager

Referenced by STOFFParserState().

## m_pageSpan

STOFFPageSpan STOFFParserState::m_pageSpan

the actual document size

Referenced by STOFFParserState().

## m_spreadsheetListener

STOFFSpreadsheetListenerPtr STOFFParserState::m_spreadsheetListener

the spreadsheet listener

Referenced by STOFFParserState().

## m_textListener

STOFFTextListenerPtr STOFFParserState::m_textListener

the text listener

Referenced by STOFFParserState().

## m_type

Type STOFFParserState::m_type

the state type

Referenced by STOFFParserState().

## m_version

int STOFFParserState::m_version

the actual version

Referenced by STOFFParserState().

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx